/* vi: set sw=4 ts=4: */
/*
 * Mini reboot implementation for busybox
 *
 *
 * Copyright (C) 1995, 1996 by Bruce Perens <bruce@pixar.com>.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "busybox.h"

#include <signal.h>
#include	<stdio.h>
#include	<bcmnvram.h>
#include	<unistd.h>

void	RebootLinux ( void )
{
	#define	FilePath63	"/proc/kmemory/PeterChenRebooting"
	#define	RebootLinuxTempSpaceSize	10
	FILE	*fp63 = NULL;
	char	TempSpace [ RebootLinuxTempSpaceSize ];

	fp63 = fopen ( FilePath63 , "r" );

	if ( fp63 != NULL ) {
		fgets ( TempSpace , RebootLinuxTempSpaceSize , fp63 );
		fclose ( fp63 );
	} else {
		printf ( "RebootLinux ... fopen -> error !!!\n" );
	}

	return	NULL;
}

extern int reboot_main(int argc, char **argv)
{
/****************************** Added by PeterChen ******************************/
	char	*wan_proto = nvram_get ( "wan_proto" );
	int	StringLen = 0;

	if ( wan_proto != NULL ) {
		StringLen = strlen ( wan_proto );
		if ( StringLen != 0 ) {
			if ( strcmp ( "pppoe" , wan_proto ) != 0 ) {
//				printf ( "Executing RebootLinux ... Successfully\n" );
				sleep ( 1 );
				RebootLinux ();
			} else {
				printf ( "reboot_main ... wan_proto = %s\n" , wan_proto );
			}
		} else {
			printf ( "reboot_main ... StringLen == 0\n" );
		}
	} else {
		printf ( "reboot_main ... wan_proto == NULL\n" );
	}
/****************************** Added by PeterChen ******************************/

#ifdef BB_FEATURE_LINUXRC
	/* don't assume init's pid == 1 */
	pid_t *pid = find_pid_by_name("init");
	if (!pid || *pid<=0)
		error_msg_and_die("no process killed");
	return(kill(*pid, SIGTERM));
#else
	return(kill(1, SIGTERM));
#endif
}

/*
Local Variables:
c-file-style: "linux"
c-basic-offset: 4
tab-width: 4
End:
*/
