/*
 * Copyright 2001-2005, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id$
 *
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <net/route.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <errno.h>

#include <bcmnvram.h>
#include <netconf.h>
#include <shutils.h>
#include <rc.h>
#include "./gemtek_added/Peter_Added_For_Restart_All_Apps_PPPoE_Mode.h"

#define IFUP (IFF_UP | IFF_RUNNING | IFF_BROADCAST | IFF_MULTICAST)

/*
 * Called when link comes up
 */
int
ipup_main(int argc, char **argv)
{
	FILE *fp;
	char *wan_ifname = safe_getenv("IFNAME");
	char *value;
	char buf[256];

	PPPoE_Extra_SRCs_0002
// added by PeterChen, Gemtek	2003-1216 PM 05:21
#if		1

	extern char PPTP_ipup_main ( int argc , char **argv );
	if ( PPTP_ipup_main ( argc , argv ) == 1 ) {

		return	0;
	}
#endif

	PPPoE_Extra_SRCs_0001
	dprintf("%s\n", argv[0]);

	/* Touch connection file */
	if (!(fp = fopen("/tmp/ppp/link", "a"))) {
		perror("/tmp/ppp/link");
		return errno;
	}
	fclose(fp);

	if ((value = getenv("IPLOCAL"))) {
		ifconfig(wan_ifname, IFUP,
			 value, "255.255.255.255");
		nvram_set("wan_ipaddr", value);
		nvram_set("wan_netmask", "255.255.255.255");

		// added by Jimmy Ma 2003.5.26
		nvram_set("pppoe_ipaddr", value);
		nvram_set("pppoe_netmask", "255.255.255.255");
	}

        if ((value = getenv("IPREMOTE")))
		{
			nvram_set("wan_gateway", value);
			nvram_set("pppoe_gateway", value);	// added by Jimmy Ma 20003.5.26
		}



	strcpy(buf, "");
	if ((value = getenv("DNS1")))
	{
		sprintf(buf, "%s", getenv("DNS1"));
		nvram_set("pppoe_dnsaddr1", value);			// added by Jimmy Ma 20003.5.26

	}
	if ((value = getenv("DNS2")))
	{
		sprintf(buf + strlen(buf), "%s%s", strlen(buf) ? " " : "", getenv("DNS2"));
		nvram_set("pppoe_dnsaddr2", value);			// added by Jimmy Ma 20003.5.26
	}
	nvram_set("wan_dns", buf);

	start_wan_done();
	PPPoE_Extra_SRCs_0003

	dprintf("done\n");
	return 0;
}

/*
 * Called when link goes down
 */
int
ipdown_main(int argc, char **argv)
{
	PPPoE_Extra_SRCs_0002
	return unlink("/tmp/ppp/link");
}
