/*
 * Copyright 2001-2005, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id$
 *
*/

#include <epivers.h>
#include <string.h>
#include <bcmnvram.h>
#include <typedefs.h>
#include <wlioctl.h>

#define XSTR(s) STR(s)
#define STR(s) #s

struct nvram_tuple router_defaults[] = {
		{ "boardrev","0x10" , 0},
		{ "pmon_ver","CFE 3.51.21.0" , 0},
		{ "vlan0ports","0 1 2 3 5*" , 0},
		{ "sromrev","2" , 0},
		{ "gpio2","adm_eecs" , 0},
		{ "gpio3" ,"adm_eesk" , 0},
		{ "gpio4","adm_eedi" , 0},
		{ "gpio5","adm_rc" , 0},
		{ "wl0id","0x4320" , 0},
		{ "ag0","255" , 0},
		{ "wl0gpio0","0" , 0},
		{ "wl0gpio1","0" , 0},
		{ "wl0gpio2","0" , 0},
		{ "wl0gpio3","0" , 0},
		{ "wl0gpio4","0" , 0},
		{ "wl0gpio5","0" , 0},
		{ "boardflags2","0" , 0},
		{ "pa0itssit","62" , 0},
		{ "cctl", "0" , 0 },
		{ "pa0maxpwr", "60" , 0},
		{ "aa0" , "3" , 0 },
		{ "vlan1hwname","et0" , 0},
		{ "vlan1ports", "4 5" , 0 },
		{ "ccode" , "0" , 0},
		{ "boardflags" , "0x0188" , 0 },
		{ "sdram_ncdl" , "0x21" , 0 },
		{ "pa0b0" , "0x119a" , 0},
		{ "pa0b1", "0xfb93" , 0},
		{ "pa0b2" , "0xfea5" , 0},
		{ "vlan0hwname" , "et0" , 0},
	/*Added by YaoChung*/
	{ "boardtype" , "bcm94710dev" , 0 } ,
	{ "DefaultEthPort", "0", 0},
	{ "boardnum" , "2" , 0 } ,
	{ "clkfreq" , "125" , 0 } ,
/*	{ "et0macaddr" , "00:06:25:08:00:01" , 0 } ,	*/
/*	{ "lan_hwaddr" , "00:06:25:08:00:01" , 0 } ,	*/
	{ "et0phyaddr" , "30" , 0 } ,
	{ "et0mdcport" , "0" , 0 } ,
/*	{ "et1macaddr" , "00:06:25:08:00:02" , 0 } ,	*/
/*	{ "wan_hwaddr" , "00:06:25:08:00:02" , 0 } ,	*/
	{ "et1phyaddr" , "0" , 0 } ,
	{ "et1mdcport" , "1" , 0 } ,
	{ "dl_ram_addr" , "a0001000" , 0 } ,
	{ "os_ram_addr" , "80001000" , 0 } ,
	{ "os_flash_addr" , "bfc40000" , 0 } ,
	{ "pmon_ver" , "PMON 3.9.0.2" , 0 } ,
	{ "localip" , "192.168.10.1" , 0 } ,
	{ "localsn" , "255.255.255.0" , 0 } ,
	{ "scratch" , "a0180000" , 0 } ,
	{ "boot_wait" , "off" , 0 } ,
	{ "watchdog" , "5000" , 0 } ,
	{ "sdram_init" , "0x0419" , 0 } ,
	{ "sdram_config" , "0x0000" , 0 } ,
	{ "sdram_refresh" , "0x8040" , 0 } ,	
	/*Security*/
	{ "filter_portVar" , "0:0:0 0:0:0 0:0:0 0:0:0 0:0:0" , 0 } ,
	{ "filter_ipA" , "1" , 0 } ,
	{ "filter_ipNot" , "0 0 0 0 0 0 0 0 0 0" , 0 } ,
	{ "filter_macA" , "1" , 0 } ,
	{ "filter_macNot" , "0 0 0 0 0 0 0 0 0 0" , 0 } ,
	{ "filter_blockWANRequest" , "1" , 0 } ,
	{ "filter_MulticastPassThru" , "0" , 0 } ,
	{ "filter_IPSecPassThru" , "1" , 0 } ,
	{ "filter_PPTPPassThru" , "1" , 0 } ,
	{ "filter_L2TPPassThru" , "1" , 0 } ,
	{ "filter_Remote" , "0" , 0 } ,
	{ "filter_mtuEnable" , "0" , 0 } ,
	{ "filter_remotePort" , "8080" , 0 } ,
	{ "filter_mtuSize" , "1400" , 0 } ,
	{ "filter_BlockProxy", "0" , 0 } ,
	{ "filter_BlockJava", "0" , 0 } ,
	{ "filter_BlockActiveX" , "0" , 0 } ,
	{ "filter_BlockCookies", "0" , 0 } ,
	/*Security*/
	/*MAClone*/
	{ "MACloneAddress" , "00:00:00:00:00:00" , 0 } ,
	{ "MACloneSys" , "0" , 0 } ,	
	/*MAClone*/
	/*Routing*/
	{ "WorkingModel" , "0" , 0 } ,
	{ "DRoutingModel" , "0" , 0 } ,
	/*Routing*/
	/*Log*/
	{ "LogEnable", "0", 0 },
	/*Log*/	
	/*SNMP*/
/*	{ "SNMPTrapEnable" , "0" , 0 } ,	
	{ "SNMPTrapIP" , "192.168.10.100" , 0 } ,
	{ "SNMPTrapCommunity" , "public" , 0 } ,
	{ "SNMPV1V2Enable" , "0" , 0 } ,
	{ "SNMPV3Enable" , "0" , 0 } ,
	{ "SNMPCommunity" , "public" , 0 } ,
	{ "SNMPUsername", "snmpadmin" , 0 } ,
	{ "SNMPPassword", "snmpadmin" , 0 } ,
	{ "SNMPEnable" , "0" , 0 } ,
	{ "SYSContact" , "" , 0 } ,
	{ "SYSName" , "" , 0 } ,		
	{ "SYSLocation" , "" , 0 } ,
	{ "SNMPCommunityOne" , "public" , 0 } ,
	{ "SNMPCommunityTwo" , "private" , 0 } ,
	{ "RWEnableOne" , "0" , 0 } ,
	{ "RWEnableTwo" , "1" , 0 } ,
	{ "MIBFileVersion" , "v1.02" , 0 } ,
	{ "DevType", "router" , 0 } ,
	{ "ModelId", "WR850G" , 0 } ,		
*/	
	/*SNMP*/	
	/*DDNS*/
	{ "DDNSEnable", "2", 0},
	{ "DDNSUsername", "", 0},
	{ "DDNSPassword", "", 0},
	{ "DDNSHostname", "", 0},
	{ "DDNSServicename", "", 0},
	{ "DDNSKey", "", 0},	
	{ "DDNSEmail", "", 0},
	{ "DDNSok", "0", 0},
	/*DDNS*/
	/*Filters*/
	{ "ScheduleList", "0 0 0 0 0 0 0 0 0 0" , 0 },
	{ "ScheduleName", "---#---#---#---#---#---#---#---#---#---" , 0 },
	{ "filter_SchedularWebFilter", "0", 0},
	{ "ContentFilterEnablingFlag", "0000000000", 0},
	{ "ContentFilterHostMACControlFlag", "0000000000", 0},	
	{ "CFMACList0", "" , 0},
	{ "CFMACList1", "" , 0},
	{ "CFMACList2", "" , 0},
	{ "CFMACList3", "" , 0},
	{ "CFMACList4", "" , 0},
	{ "CFMACList5", "" , 0},
	{ "CFMACList6", "" , 0},
	{ "CFMACList7", "" , 0},
	{ "CFMACList8", "" , 0},
	{ "CFMACList9", "" , 0},
	{ "FilterTypes", "0 0 0 0 0 0 0 0 0 0" , 0 },
	{ "filter_index", "0" , 0 },	
	{ "PortServiceList", "17:53:53:DNS 1:0:0:Ping 6:80:80:HTTP 6:443:443:HTTPS 6:21:21:FTP 6:110:110:POP3 6:143:143:IMAP 6:25:25:SMTP 6:119:119:NNTP 6:23:23:Telnet 17:161:161:SNMP 17:69:69:TFTP 17:500:500:IKE", 0},
	{ "PortFilter0", "" , 0},
	{ "PortFilter1", "" , 0},
	{ "PortFilter2", "" , 0},
	{ "PortFilter3", "" , 0},
	{ "PortFilter4", "" , 0},
	{ "PortFilter5", "" , 0},
	{ "PortFilter6", "" , 0},
	{ "PortFilter7", "" , 0},
	{ "PortFilter8", "" , 0},
	{ "PortFilter9", "" , 0},
	{ "MACFilter0", "" , 0},
	{ "MACFilter1", "" , 0},
	{ "MACFilter2", "" , 0},
	{ "MACFilter3", "" , 0},
	{ "MACFilter4", "" , 0},
	{ "MACFilter5", "" , 0},
	{ "MACFilter6", "" , 0},
	{ "MACFilter7", "" , 0},
	{ "MACFilter8", "" , 0},
	{ "MACFilter9", "" , 0},
	{ "IPFilter0", "" , 0},
	{ "IPFilter1", "" , 0},
	{ "IPFilter2", "" , 0},
	{ "IPFilter3", "" , 0},
	{ "IPFilter4", "" , 0},
	{ "IPFilter5", "" , 0},	
	{ "IPFilter6", "" , 0},
	{ "IPFilter7", "" , 0},
	{ "IPFilter8", "" , 0},
	{ "IPFilter9", "" , 0},
	{ "ContentName0", "" , 0},
	{ "ContentName1", "" , 0},
	{ "ContentName2", "" , 0},
	{ "ContentName3", "" , 0},
	{ "ContentName4", "" , 0},
	{ "ContentName5", "" , 0},
	{ "ContentName6", "" , 0},
	{ "ContentName7", "" , 0},
	{ "ContentName8", "" , 0},
	{ "ContentName9", "" , 0},
	{ "URL0", "" , 0},
	{ "URL1", "" , 0},
	{ "URL2", "" , 0},
	{ "URL3", "" , 0},
	{ "URL4", "" , 0},
	{ "URL5", "" , 0},	
	{ "URL6", "" , 0},
	{ "URL7", "" , 0},
	{ "URL8", "" , 0},
	{ "URL9", "" , 0},
	{ "AllowedURL0", "" , 0},
	{ "AllowedURL1", "" , 0},
	{ "AllowedURL2", "" , 0},
	{ "AllowedURL3", "" , 0},
	{ "AllowedURL4", "" , 0},
	{ "AllowedURL5", "" , 0},	
	{ "AllowedURL6", "" , 0},
	{ "AllowedURL7", "" , 0},
	{ "AllowedURL8", "" , 0},
	{ "AllowedURL9", "" , 0},
	{ "Text0", "" , 0},
	{ "Text1", "" , 0},
	{ "Text2", "" , 0},
	{ "Text3", "" , 0},
	{ "Text4", "" , 0},
	{ "Text5", "" , 0},
	{ "Text6", "" , 0},
	{ "Text7", "" , 0},
	{ "Text8", "" , 0},
	{ "Text9", "" , 0},
	/*Filters*/
	/*PortForwarding*/
  /* Incoming port:Forwarding port:Protocol:IP:enable/disable */
	{ "PortForwardVar", "21:21:0:0:0 69:69:1:0:0 23:23:0:0:0 80:80:0:0:0 443:443:0:0:0 25:25:0:0:0 110:110:0:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0 0:0:4:0:0" , 0 } ,
	{ "PortForwardName", "" , 0 } ,	
	{ "TriggerPortRange", "0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0" , 0 } ,	
	{ "IncomingPortRange", "0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0 0:0" , 0 } ,	
	/*PortForwarding*/
	/*TimeZone*/
	{ "TimeZone", "-5" , 0},
	{ "Country", "EasternTime" , 0},
	{ "AutoDaylight", "1" , 0},	
	/*TimeZone*/
	/*Wireless*/	
	{ "wl_mac_index" , "0" , 0 } ,	
	{ "wl_country" , "US" , 0 } ,
	{ "PassphraseKeyLength", "2", 0} ,
	{ "Key_Length_24G", "2" , 0 } ,	/* Added by PeterChen, 2002/11/05 PM 02:17 */
//	{ "wl_ssid_5G", "" , 0 } ,
//	{ "wl_rate_5G", "best" , 0 } ,
//	{ "wl_rts_5G", "2346" , 0 } ,
//	{ "wl_frag_5G", "2346" , 0 } ,
//	{ "wl_dtim_5G", "1" , 0 } ,
//	{ "wl_autochannel_5G", "0" , 0 } ,
//	{ "wl_wep_5G", "off" , 0 } ,
//	{ "wl_key_5G", "0" , 0 } ,
//	{ "wl_key1_5G", "" , 0 } ,
//	{ "wl_key2_5G", "" , 0 } ,
//	{ "wl_key3_5G", "" , 0 } ,
//	{ "wl_key4_5G", "" , 0 } ,
//	{ "Key_Length_5G", "0" , 0 } ,
//	{ "wl_auth_5G", "0" , 0 } ,	
//	{ "wl_BeaconInterval_5G", "100" , 0 } ,
//	{ "wl_TransmitPower_5G", "0" , 0 } ,
//	{ "wl_TurboMode_5G", "0" , 0 } ,
//	{ "wl_channel_5G", "52" , 0 } ,
//	{ "wl_cipher_5G", "0" , 0 } ,		
//	{ "bridge_count_5G", "0" , 0 } ,	
//	{ "Bridge_MAC0_5G", "" , 0 } ,
//	{ "Bridge_MAC1_5G", "" , 0 } ,
//	{ "Bridge_MAC2_5G", "" , 0 } ,
//	{ "Bridge_MAC3_5G", "" , 0 } ,
//	{ "Bridge_MAC4_5G", "" , 0 } ,
//	{ "wl_filter_mode_5G", "0" , 0 } ,
//	{ "wl_mac_5G", "" , 0 } ,
//	{ "wl_autochannel_5G", "0" , 0 } ,
	{ "WlEnable", "1" , 0 } ,
//	{ "Wl5GEnable", "1" , 0 } ,
//	{ "kernel_mods" , "et wl kmemory tulip tulip_1" , 0 } ,
	{ "kernel_mods" , "et wl kmemory" , 0 } ,
	/*Wireless*/
	/*Other*/
	{ "DhcpReleaseTime" , "86400" , 0 } ,
	{ "dns_1" , "" , 0 } ,
	{ "dns_2" , "" , 0 } ,
	{ "dns_3" , "" , 0 } ,
	{ "wins_1" , "" , 0 } ,
	{ "ConnectionOption" , "0" , 0 } ,
	{ "DMZEnableFlag" , "0" , 0 } ,
	{ "dmz_ipaddr_4", "0", 0},
	{ "UrlBlockingNum" , "0" , 0 } ,
	{ "UrlBlockingList" , "" , 0 } ,
	{ "UrlBlockingFlag" , "0" , 0 } ,
	{ "ParentalDateTime" , "" , 0 } ,
	{ "InternetAccessCtrlFlag" , "0" , 0 } ,
	{ "wl_macEnable", "0" , 0 } ,
	{ "AuthType", "2" , 0 } ,
	{ "UPnPEnable", "0" , 0 } ,
	{ "FirmwareVersion", MOTOROLA_VERSION_STR , 0 }	,
	{ "GemtekFirmwareVersion", GEMTEK_VERSION_STR , 0 },
	/*Other*/
	/*Added by YaoChung*/
	/* OS parameters */
	{ "lan_ifname", "br0", 0 },		/* LAN interface name */
	{ "lan_ifnames", "eth0 eth2 eth3 eth4 wlan", 0 },		/* Enslaved LAN interfaces */
	{ "lan_hwnames", "et0 il0 wl0 wl1 tulip", 0 },		/* LAN driver names (e.g. et0) */
	{ "wan_ifname", "eth1", 0 },		/* WAN interface name */
	{ "wan_hwname", "eth1", 0 },		/* WAN driver name (e.g. et1) */
	{ "os_name", "", 0 },			/* OS name string */
	{ "os_version", EPI_VERSION_STR, 0 },	/* OS revision */
	{ "os_date", __DATE__, 0 },		/* OS date */
	/* Miscellaneous parameters */
	{ "timer_interval", "0", 0 },	/* Timer interval in seconds */
	{ "ntp_server", "", 0 },		/* NTP server */
	{ "log_level", "0", 0 },		/* Bitmask 0:off 1:denied 2:accepted */
	{ "time_zone", "PST8PDT", 0 },	/* Time zone (GNU TZ format) */
	{ "upnp_enable", "0", 0 },		/* Start UPnP */
	{ "os_server", "", 0 },			/* URL for getting upgrades */
	{ "stats_server", "", 0 },		/* URL for posting stats */
	{ "console_loglevel", "1", 0 },	/* Kernel panics only */
	/* Big switches */
	{ "router_disable", "0", 0 },	/* lan_proto=static lan_stp=0 wan_proto=disabled */
	{ "fw_disable", "0", 0 },		/* Disable firewall (allow new connections from the WAN) */

	/* TCP/IP parameters */
	//{ "log_ipaddr", "", 0 },		/* syslog recipient */
	{ "lan_proto", "dhcp", 0 },		/* [static|dhcp] */
	{ "lan_ipaddr", "192.168.10.1", 0 },	/* LAN IP address */
	{ "lan_netmask", "255.255.255.0", 0 },	/* LAN netmask */
	{ "lan_stp", "1", 0 },			/* LAN spanning tree protocol */
	{ "lan_dns", "", 0 },			/* x.x.x.x x.x.x.x ... */
	{ "lan_wins", "", 0 },			/* x.x.x.x x.x.x.x ... */
	{ "lan_domain", "", 0 },		/* LAN domain name */
	{ "lan_lease", "86400", 0 },		/* LAN lease time in seconds */
	{ "wan_proto", "dhcp", 0 },		/* [static|dhcp|pppoe|disabled] */
	{ "wan_ipaddr", "0.0.0.0", 0 },		/* WAN IP address */
	{ "wan_netmask", "0.0.0.0", 0 },	/* WAN netmask */
	{ "wan_gateway", "0.0.0.0", 0 },	/* WAN gateway */
	{ "wan_dns", "0.0.0.0 0.0.0.0 0.0.0.0", 0 },			/* x.x.x.x x.x.x.x ... */
	{ "wan_wins", "0.0.0.0", 0 },			/* x.x.x.x x.x.x.x ... */
	{ "wan_hostname", "", 0 },		/* WAN hostname */
	{ "wan_domain", "", 0 },		/* WAN domain name */
	{ "wan_lease", "86400", 0 },		/* WAN lease time in seconds */
	{ "static_route", "", 0 },		/* Static routes (ipaddr:netmask:gateway:metric:ifname ...) */
	{ "StaticRouteNames", "", 0 },
	/* LAN filters */
	{ "filter_ip", "", 0 },			/* lan_ipaddr0-lan_ipaddr1 ... */
	{ "filter_tcp", "", 0 },		/* [lan_ipaddr|*]:lan_port0-lan_port1 */
	{ "filter_udp", "", 0 },		/* [lan_ipaddr|*]:lan_port0-lan_port1 */
	{ "filter_mac", "", 0 },		/* xx:xx:xx:xx:xx:xx ... */
	{ "filter_macmode", "disabled", 0 },	/* "allow" only, "deny" only, or "disabled" (allow all) */
	/* Port forwards */
	{ "forward_tcp", "", 0 },		/* wan_port0-wan_port1>lan_ipaddr:lan_port0-lan_port1 */
	{ "forward_udp", "", 0 },		/* wan_port0-wan_port1>lan_ipaddr:lan_port0-lan_port1 */
	{ "dmz_ipaddr", "192.168.10.0", 0 },		/* x.x.x.x (equivalent to 0-60999>dmz_ipaddr:0-60999) */
	/* DHCP server parameters */
	{ "dhcp_start", "192.168.10.2", 0 },	/* First assignable DHCP address */
	{ "dhcp_end", "192.168.10.51", 0 },	/* Last assignable DHCP address */
	{ "dhcp_dns", "wan", 0 },		/* Use WAN DNS first if available (wan|lan) */
	{ "dhcp_wins", "wan", 0 },		/* Use WAN WINS first if available (wan|lan) */
	{ "dhcp_domain", "wan", 0 },		/* Use WAN domain name first if available (wan|lan) */
	{ "dhcp_lease", "wan", 0 },		/* Use WAN DHCP lease time first if available (wan|lan) */
	/* Web server parameters */
	{ "http_username", "admin", 0 },		/* Username */
	{ "http_passwd", "motorola", 0 },		/* Password */
	{ "http_wanport", "80", 0 },		/* WAN port to listen on */
	{ "http_lanport", "80", 0 },		/* LAN port to listen on */
	/* PPPoE parameters */
	{ "pppoe_ifname", "eth1", 0 },		/* PPPoE enslaved interface */
	{ "pppoe_username", "", 0 },		/* PPP username */
	{ "pppoe_passwd", "", 0 },		/* PPP password */
	{ "pppoe_idletime", "0", 0 },		/* Dial on demand max idle time (seconds) */
	{ "pppoe_redialtime", "30" , 0},	
	{ "pppoe_keepalive", "1", 0 },		/* Restore link automatically */
	{ "pppoe_demand", "0", 0 },		/* Dial on demand */
	{ "pppoe_mru", "1500", 0 },		/* Negotiate MRU to this value */
	{ "pppoe_mtu", "1400", 0 },		/* Negotiate MTU to the smaller of this value or the peer MRU */
	{ "pppoe_service", "", 0 },		/* PPPoE service name */
	{ "pppoe_servicename", "", 0},	
	{ "pppoe_authtype", "3", 0},
	{ "pppoe_ipaddr", "0.0.0.0", 0},
  { "pppoe_gateway", "0.0.0.0", 0},
	{ "pppoe_dnsaddr1", "0.0.0.0", 0},
	{ "pppoe_dnsaddr2", "0.0.0.0", 0},	
	/*PPTP*/
	{ "pptp_enable", "0" , 0 } ,
	{ "pptp_username", "" , 0 } ,
	{ "pptp_passwd", "" , 0 } ,
	{ "pptp_demand", "0" , 0 } ,
	{ "pptp_keepalive", "1" , 0 } ,	
	{ "pptp_idletime", "0" , 0 } ,
	{ "pptp_redialtime", "30" , 0 } ,
	{ "pptp_gateway", "0.0.0.0" , 0 } ,
	{ "pptp_dnsaddr1", "0.0.0.0", 0},
	{ "pptp_dnsaddr2", "0.0.0.0", 0},
	{ "pptp_dnsaddr3", "0.0.0.0", 0},		
	{ "pptp_authtype", "3", 0},
	{ "pptp_servicename", "", 0},
	{ "pptp_mtu", "1400", 0 },		/* Negotiate MTU to the smaller of this value or the peer MRU */
	/* Wireless parameters */
	{ "wl_ifname", "", 0 },			/* Interface name */
	{ "wl_hwaddr", "", 0 },			/* MAC address */
	{ "wl_phytype", "g", 0 },		/* Current wireless band ("a" (5 GHz), "b" (2.4 GHz), or "g" (2.4 GHz)) */
	{ "wl_corerev", "", 0 },		/* Current core revision */
	{ "wl_phytypes", "", 0 },		/* List of supported wireless bands (e.g. "ga") */
	{ "wl_radioids", "", 0 },		/* List of radio IDs */
	{ "wl_ssid", "motorola XXX", 0 },		/* Service set ID (network name) */
	{ "wl_radio", "1", 0 },			/* Enable (1) or disable (0) radio */
	{ "wl_closed", "0", 0 },		/* Closed (hidden) network */
	{ "wl_mode", "ap", 0 },			/* AP mode (ap|sta|wds) */
	{ "wl_lazywds", "0", 0 },		/* Enable "lazy" WDS mode (0|1) */
	{ "wl_wds", "", 0 },			/* xx:xx:xx:xx:xx:xx ... */
	{ "wl_wds0", "" , 0 } ,
	{ "wl_wds1", "" , 0 } ,	
	{ "wl_wds2", "" , 0 } ,
	{ "wl_wds3", "" , 0 } ,	
	{ "wl_wep", "off", 0 },			/* WEP data encryption (off|wep|tkip|aes) */
	{ "wl_auth", "0", 0 },			/* Authentication (0|1) */
	{ "wl_key", "1", 0 },			/* Current WEP key */
	{ "wl_key1", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key2", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key3", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key4", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_mac", "", 0 },			/* xx:xx:xx:xx:xx:xx ... */
	{ "wl_macmode", "disabled", 0 },/* "allow" only, "deny" only, or "disabled" (allow all) */
	{ "wl_passphrase", "", 0}, 
	{ "wl_frameburst", "off", 0 },		/* BRCM Frambursting mode (off|on) */
  { "wl_antdiv", "-1", 0 },		/* Antenna Diversity (-1|0|1|3) */
	{ "wl_infra", "1", 0 },			/* Network Type (BSS/IBSS) */
	{ "d11b_hwaddr", "", 0 },		/* 802.11b MAC address */
	{ "d11b_channel", "11", 0 },		/* Channel number (1-14 depending on country) */
	{ "d11b_rate", "0", 0 },		/* Rate (bps, 0 for auto) */
	{ "d11b_rateset", "default", 0 },	/* "default" (1/2) or "all" (1/2/5.5/11) */
	{ "d11b_frag", "2346", 0 },		/* Fragmentation threshold */
	{ "d11b_rts", "2347", 0 },		/* RTS threshold */
	{ "d11b_dtim", "3", 0 },		/* DTIM period */
	{ "d11b_bcn", "100", 0 },		/* Beacon interval */
	{ "d11b_plcphdr", "long", 0 },		/* 802.11b PLCP preamble type */
//	{ "d11a_hwaddr", "", 0 },		/* 802.11a MAC address */
//	{ "d11a_channel", "64", 0 },		/* Channel number (36-64 in 4 channel increments) */
//	{ "d11a_rate", "0", 0 },		/* Rate (bps, 0 for auto) */
//	{ "d11a_rateset", "default", 0 },	/* "default" (6/12/24) or "all" (6/9/12/18/24/36) */
//	{ "d11a_frag", "2346", 0 },		/* Fragmentation threshold */
//	{ "d11a_rts", "2347", 0 },		/* RTS threshold */
//	{ "d11a_dtim", "3", 0 },		/* DTIM period */
//	{ "d11a_bcn", "100", 0 },		/* Beacon interval */
	{ "d11g_hwaddr", "", 0 },		/* 802.11g MAC address */
	{ "d11g_channel", "11", 0 },		/* Channel number (1-14 depending on country) */
	{ "d11g_rate", "0", 0 },		/* Rate (bps, 0 for auto) */
	{ "d11g_rateset", "default", 0 },	/* "default" "all" "12" */
	{ "d11g_frag", "2346", 0 },		/* Fragmentation threshold */
	{ "d11g_rts", "2347", 0 },		/* RTS threshold */
	{ "d11g_dtim", "3", 0 },		/* DTIM period */
	{ "d11g_bcn", "100", 0 },		/* Beacon interval */
	{ "d11g_mode", "1", 0 },		/* Gmode value */
	{ "d11g_rts_cts", "auto", 0}, /* 11g protection mode (off|auto) */
/*	{ "d11g_shortslot_restrict", "0", 0 },*/	/* 11g ShortSlot association restriction (1 means shortslot only) */
	/* Restore defaults */
	{ "move_to_defaults", "0", 0 },		/* Set to 0 to not restore defaults on boot */	
	{ "restore_defaults", "0", 0 },		/* Set to 0 to not restore defaults on boot */
	{ "WAN_ENABLE", "1", 0},
	{ "wandhcp_dns", "0.0.0.0 0.0.0.0 0.0.0.0", 0},
	//{ "ntp_servers", "timeserver.cs.umb.edu now.okstate.edu timekeeper.isi.edu", 0},
	{ "ntp_servers", "0.0.0.0 0.0.0.0 0.0.0.0", 0},
	{ "ntpEnable", "1", 0},
	{ "wl_macmodeEnable", "0", 0},
	{ "EVENTLOGENABLE1", "1", 0},
	{ "EVENTLOGENABLE2", "1", 0},
	{ "EVENTLOGENABLE3", "1", 0},		
	{ "lan_hostname", "wr850g", 0},
	//{ "udhcpd_ipttl", "255", 0},
	//{ "udhcpd_mtu", "1400", 0},	
	{ "udhcpd_ntpsrv", "0.0.0.0 0.0.0.0 0.0.0.0", 0 },	
	{ "VSScheduleList", "0" , 0 },
	{ "VSScheduleName", "---" , 0 },	
	{ "VSApplicationName", "#########", 0},
	{ "VSApplicationName0", "FTP", 0},
	{ "VSApplicationName1", "TFTP", 0},
	{ "VSApplicationName2", "Telnet", 0},
	{ "VSApplicationName3", "HTTP", 0},
	{ "VSApplicationName4", "HTTPS", 0},
	{ "VSApplicationName5", "SMTP", 0},
	{ "VSApplicationName6", "POP3", 0},
	{ "VSApplicationName7", "", 0},
	{ "VSApplicationName8", "", 0},
	{ "VSApplicationName9", "", 0},
	{ "VSApplicationName10", "", 0},
	{ "VSApplicationName11", "", 0},
	{ "VSApplicationName12", "", 0},
	{ "VSApplicationName13", "", 0},
	{ "VSApplicationName14", "", 0},
	{ "VSApplicationName15", "", 0},
	{ "VSApplicationName16", "", 0},
	{ "VSApplicationName17", "", 0},
	{ "VSApplicationName18", "", 0},
	{ "VSApplicationName19", "", 0},
	{ "VSApplicationName20", "", 0},
	{ "VSApplicationName21", "", 0},
	{ "VSApplicationName22", "", 0},
	{ "VSApplicationName23", "", 0},
	{ "VSApplicationName24", "", 0},
	{ "VSApplicationName25", "", 0},
	{ "VSApplicationName26", "", 0},
	{ "VSApplicationName27", "", 0},
	{ "VSApplicationName28", "", 0},
	{ "VSApplicationName29", "", 0},

	{ "PortTriggerName", "##############################" , 0 } ,		

	{ "PortTriggerEnablingFlag", "000000000000000000000000000000", 0},

	{ "logonidletimer", "10", 0},

	{ "filter_BasicFirewall", "1", 0},

	{ "TCP_Session_Idle", "28800", 0},

	{ "UDP_Session_Idle", "28800", 0}, 

	{ "ICMP_Session_Idle", "300", 0},

	{ "login_msg", "", 0},

	{ "NeedReboot", "0", 0},

	{ "RuleString0", "", 0},
	{ "RuleString1", "", 0},
	{ "RuleString2", "", 0},
	{ "RuleString3", "", 0},
	{ "RuleString4", "", 0},
	{ "RuleString5", "", 0},
	{ "RuleString6", "", 0},
	{ "RuleString7", "", 0},
	{ "RuleString8", "", 0},
	{ "RuleString9", "", 0},
	{ "RuleString10", "", 0},
	{ "RuleString11", "", 0},
	{ "RuleString12", "", 0},
	{ "RuleString13", "", 0},
	{ "RuleString14", "", 0},
	{ "RuleString15", "", 0},
	{ "RuleString16", "", 0},
	{ "RuleString17", "", 0},
	{ "RuleString18", "", 0},
	{ "RuleString19", "", 0},
	{ "RuleString20", "", 0},
	{ "RuleString21", "", 0},
	{ "RuleString22", "", 0},
	{ "RuleString23", "", 0},
	{ "RuleString24", "", 0},
	{ "RuleString25", "", 0},
	{ "RuleString26", "", 0},
	{ "RuleString27", "", 0},
	{ "RuleString28", "", 0},
	{ "RuleString29", "", 0},
	{ "FirewallName0", "", 0},
	{ "FirewallName1", "", 0},
	{ "FirewallName2", "", 0},
	{ "FirewallName3", "", 0},
	{ "FirewallName4", "", 0},
	{ "FirewallName5", "", 0},
	{ "FirewallName6", "", 0},
	{ "FirewallName7", "", 0},
	{ "FirewallName8", "", 0},
	{ "FirewallName9", "", 0},
	{ "FirewallName10", "", 0},
	{ "FirewallName11", "", 0},
	{ "FirewallName12", "", 0},
	{ "FirewallName13", "", 0},
	{ "FirewallName14", "", 0},
	{ "FirewallName15", "", 0},
	{ "FirewallName16", "", 0},
	{ "FirewallName17", "", 0},
	{ "FirewallName18", "", 0},
	{ "FirewallName19", "", 0},
	{ "FirewallName20", "", 0},
	{ "FirewallName21", "", 0},
	{ "FirewallName22", "", 0},
	{ "FirewallName23", "", 0},
	{ "FirewallName24", "", 0},
	{ "FirewallName25", "", 0},
	{ "FirewallName26", "", 0},
	{ "FirewallName27", "", 0},
	{ "FirewallName28", "", 0},
	{ "FirewallName29", "", 0},
	{ "wl_key_input_method", "0", 0},
	{ "wl_key_strength", "0", 0},
	{ "auth_mode", "disabled", 0}, /* WPA mode (disabled|radius|wpa|psk) */
	{ "wpa_psk", "", 0}, /* WPA pre-shared key */
	{ "wpa_gtk_rekey", "300", 0}, /* WPA GTK rekey interval */
	{ "radius_ipaddr", "0.0.0.0", 0},
	{ "radius_key", "", 0}, /* RADIUS shared secret */
	{ "radius_port", "1812", 0}, /* RADIUS server UDP port */
  { "wl_auth_mode", "disabled", 0 },	/* WPA mode (disabled|radius|wpa|psk) */
	{ "wl_wpa_psk", "", 0 },		/* WPA pre-shared key */
	{ "wl_wpa_gtk_rekey", "300", 0 },		/* WPA GTK rekey interval */
	{ "wl_radius_ipaddr", "0.0.0.0", 0 },		/* RADIUS server IP address */
	{ "wl_radius_key", "", 0 },		/* RADIUS shared secret */
	{ "wl_radius_port", "1812", 0 },	/* RADIUS server UDP port */
	{ "wl_unit", "0", 0 },			/* Last configured interface */
	{ "Enable802_1x", "0", 0},
	{ "TriggerProto",  "000000000000000000000000000000", 0},
	{ "IncomingProto", "000000000000000000000000000000", 0},	
	{ "Passphrase_key_11i" , "", 0},
	{ "MACCloneAddrData", "", 0},
	{ "PortTriggerTimeOut", "60", 0},
	{ "d11g_preamble", "0", 0},
	{ "RIP1", "0", 0},
	{ "RIP2", "0", 0},
	{ "CFRule_no", "0", 0},
	{ "wan_real_proto", "dhcp", 0},
	{ "ab_state", "off", 0},
	{ "wds_mode", "01", 0},
	{"RestrictMulticasePass","off",0},
	{"login_addr","0",0},
	{ 0, 0, 0 }
};

